Extrato do usuário

​
Query Parameters
  • status
    Type: string · enum
    values
    • PENDING
    • COMPLETED
    • CANCELED
    • REFUNDED
    • EXPIRED
  • type
    Type: string · enum
    values
    • DEPOSIT
    • WITHDRAW
    • PAYMENT
  • dateFrom
    Type: stringFormat: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • dateTo
    Type: stringFormat: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/v1/user/transactions
curl 'https://api.betpaympix.com/v1/user/transactions?status=PENDING&type=DEPOSIT&dateFrom=&dateTo=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "DEPOSIT",
    "status": "PENDING",
    "amount": 1990,
    "endToEndId": "string",
    "createdAt": "2026-06-05T07:03:46.030Z",
    "paidAt": "2026-06-05T07:03:46.030Z"
  }
]

PayerPix